# The Midio Language

Midio is a visual, general-purpose programming language. Its building blocks, composed mainly of functions, events and data, are similar to those found in standard textual languages. Functions are entities that process input and produce output. Events, on the other hand, enable triggering of flows based on specific conditions such as incoming HTTP requests. Midio also includes data types and modules for organizing the code.

The term **node** is used to describe instances of both functions and events (and anything that looks like a node), which are visually represented as nodes connected by **arrows** to form flows. Functions, events and modules can contain **flows**, but only modules and events can contain events.

##


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.midio.com/midio-docs/reference/the-midio-language.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
